]> sipb.mit.edu Git - ikiwiki.git/blobdiff - debian/NEWS
the real bug turned out to be in the meta plugin
[ikiwiki.git] / debian / NEWS
index 781a32f590dad2cb6a8a8b2c242ff355fcd07640..69cbbbd88a61e7ed596b1b5a45b4cfa61b60dae8 100644 (file)
@@ -1,3 +1,46 @@
+ikiwiki (1.45) unstable; urgency=low
+
+  Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
+  in /etc/ikiwiki/wikilist this will be done automatically when the Debian
+  package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
+
+ -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
+
+ikiwiki (1.44) unstable; urgency=low
+
+  The htmllink() function has changed slightly and plugins that use it may
+  need to change how they call it. This function's first three parameters
+  are unchanged, but additional options are now passed using named
+  parameters. If you used htmllink with more than 3 parameters, you will
+  need to change it. The plugin interface version has been increased to 1.02
+  to reflect this change.
+
+ -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
+
+ikiwiki (1.42) unstable; urgency=low
+
+  The anonok setting in config files has been removed. To enable
+  httpauth support on your wiki, you should now enable the anonok plugin,
+  instead.
+
+  Third-party plugins that use pagespec_match() should be updated to pass
+  the new third parameter (from) to that function. This is needed for the
+  new relative glob matching to work.
+
+ -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
+
+ikiwiki (1.34) unstable; urgency=low
+
+  The httpauth setting in config files has been removed. To enable
+  httpauth support on your wiki, you should now enable the httpauth plugin,
+  instead.
+
+  This release includes OpenID support that is enabled through the openid
+  plugin. I recommend turning this on to make it easier for users to sign
+  in to your wiki.
+
+ -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
+
 ikiwiki (1.32) unstable; urgency=low
 
   There is a change to the plugin interface in this version. Any plugins that